No announcement yet.

PTS on Gentoo with php 5.3

  • Filter
  • Time
  • Show
Clear All
new posts

  • PTS on Gentoo with php 5.3

    I'm having trouble downloading anything through PTS. I have set the fopen options to on and that is all I can find online concerning the message I'm receiving:
    Available Tests
    No tests found. Please check that you have Internet connectivity to download test profile data from The Phoronix Test Suite has documentation on configuring the network setup, proxy settings, and PHP network options. Please contact Phoronix Media if you continuing to experience problems.
    So now I'm lost because I don't know your software very well. I've used it a few times testing Ubuntu but, of course, PTS just works on Ubuntu and I've learned nothing about setting it up. Please help.

    P.S. I'm not using a proxy or firewall.
    Last edited by siknasa9; 10-23-2011, 08:56 PM. Reason: Forgot to mention my network

  • #2
    See the documentation or search the forums. Gentoo's PHP doesn't allow url_fopen (I think that's the option) and you need to enable it from your php.ini file. There should be many references about it as it's a common Gentoo issue.
    Michael Larabel


    • #3
      As I said, I've already followed the documentation and forum posts to set fopen to On. That was in the first sentence of my original post. Anything else I can try?


      • #4
        Are you using the latest package from the web-site or from Portage? I haven't heard of anyone encountering any network issues or problems with PTS on Gentoo after enabling the fopen option.
        Michael Larabel


        • #5
          Portage... I see there have been quite a few releases since, now that you mention it. Portage gave me 3.2.1 and the site has 3.4 as stable. I will try 3.6 as soon as i get a moment. If thats not stable, or if the problem continues, I'll try the stable release and get back to you. Thanks for your help insofar... kind of a duh solution if it works out, eh?


          • #6
            Ok, just decided to use an ebuild i found for the stable version 3.4.0 and well... same deal. Though this time i noticed it said PHP_TARGETS seems to be empty blah blah blah. PHP_TARGETS is set in make.conf with php5-3... not sure why it thinks its not set. I even tried merging it with PHP_TARGETS="php5-3" prefaced but no dice. It still thinks its not set. Confused...


            • #7
              Works for me.


              I just thought I would say that it works for me on the first try. I just changed "Off" to "On" in php.ini
              and then it worked. Let me know if you need more details about my system.



              • #8
                Yeah, 3 versions of php later and still no phoronix. I think it just hates me. Last thing I need to work on, on this box, but cant seem to find anything relevant. No one else is having this issue on Gentoo?


                • #9

                  I have the same issue on Gentoo for a few weeks. It's a problem of the curlwrapper USE flag of php, eventually I found. The problem is gone if I disable it. A few Google searches revealed many people meeting same issues in other PHP scripts. Probably due to a change of behavior of some PHP functions when curlwrapper is enabled, but I lost the patience to find out the exact source of the issue.